// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/SaveGame.h"
#include "WeaponSystem/BaseWeaponClass.h"
#include "MainSaveGameClass.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API UMainSaveGameClass : public USaveGame
{
	GENERATED_BODY()

public:	
	UPROPERTY()
	int CurrentMainBountyIndexSave;

	UPROPERTY()
	int LastMainBountyIndexInOpenWorld;

	UPROPERTY()
	TSubclassOf<ABaseWeaponClass> PrimaryWeaponClassSave;

	UPROPERTY()
	TSubclassOf<ABaseWeaponClass> SecondaryWeaponClassSave;

	UPROPERTY()
	FTransform PlayerOpenWorldSpawnTransformSave;

	UPROPERTY()
	int MoneySave;

	UPROPERTY()
	int FavourSave;
};
